"
COPYRIGHT (c) 2021-2023 LabWare
jv:libgdbs - GNU Debugger Interface Library

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBInternalEvent subclass:#GDBEventDelivery
	instanceVariableNames:'subscription event'
	classVariableNames:''
	poolDictionaries:'GDBDebugFlags'
	category:'GDB-Internal'
!

!GDBEventDelivery class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2021-2023 LabWare
jv:libgdbs - GNU Debugger Interface Library

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
! !

!GDBEventDelivery methodsFor:'accessing'!

event
    ^ event
!

event:aGDBEvent
    self assert: (aGDBEvent isKindOf: GDBEvent).
    event := aGDBEvent.

    "Modified: / 29-03-2021 / 12:58:09 / Jan Vrany <jan.vrany@labware.com>"
!

subscription
    ^ subscription
!

subscription:aSubscription
    self assert: (aSubscription isKindOf: Subscription).
    subscription := aSubscription.

    "Modified: / 29-03-2021 / 12:57:48 / Jan Vrany <jan.vrany@labware.com>"
!

subscription:aGDBEventSubscription event: aGDBEvent
    self subscription: aGDBEventSubscription.
    self event: aGDBEvent.

    "Modified: / 29-03-2021 / 12:56:02 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBEventDelivery methodsFor:'private - dispatching'!

dispatchUsing: aGDBEventDispatcher
    "Dispatch the event using given event dispatcher.

     STRICTLY PRIVATE"

    subscription value: event

    "Created: / 29-03-2021 / 12:21:30 / Jan Vrany <jan.vrany@labware.com>"
! !

