"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

SharedPool subclass:#GDBFeatures
	instanceVariableNames:''
	classVariableNames:'DebuggerFeatureFrozenVarObjs DebuggerFeaturePendingBreakpoint
		DebuggerFeaturePython DebuggerFeatureThreadInfo
		DebuggerFeatureDataReadMemoryBytes
		DebuggerFeatureBreakpointNotifications DebuggerFeatureAdaTaskInfo
		DebuggerFeatureLanguageOption DebuggerFeatureInfoGDBMICommand
		DebuggerFeatureUndefinedCommandErrorCode
		DebuggerFeatureExecRunStartOption TargetFeatureAsync
		TargetFeatureReverse'
	poolDictionaries:''
	category:'GDB'
!

!GDBFeatures class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
!

documentation
"
    A set of GDB features. Use this in `#ensureFeature:` and `#hasFeature:`

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]
        https://sourceware.org/gdb/onlinedocs/gdb/GDB_002fMI-Support-Commands.html, -list-features

"
! !

!GDBFeatures class methodsFor:'initialization'!

initialize
    "Invoked at system start or when the class is dynamically loaded."

    DebuggerFeatureFrozenVarObjs := 'frozen-varobjs'.
    DebuggerFeaturePendingBreakpoint := 'pending-breakpoints' .
    DebuggerFeaturePython := 'python'.
    DebuggerFeatureThreadInfo := 'thread-info' .
    DebuggerFeatureDataReadMemoryBytes := 'data-read-memory-bytes' .
    DebuggerFeatureBreakpointNotifications := 'breakpoint-notifications' .
    DebuggerFeatureAdaTaskInfo := 'ada-task-info' .
    DebuggerFeatureLanguageOption := 'language-option' .
    DebuggerFeatureInfoGDBMICommand := 'info-gdb-mi-command' .
    DebuggerFeatureUndefinedCommandErrorCode := 'undefined-command-error-code' .
    DebuggerFeatureExecRunStartOption := 'exec-run-start-option' .
    TargetFeatureAsync := 'async'.
    TargetFeatureReverse := 'reverse'.

    "Modified: / 07-02-2018 / 12:51:43 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBFeatures class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !


GDBFeatures initialize!
