"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

Magritte::MADescription subclass:#GDBMADescriptionSwitch
	instanceVariableNames:'klassMap'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Internal-Support'
!

!GDBMADescriptionSwitch class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
! !

!GDBMADescriptionSwitch class methodsFor:'instance creation'!

forTag: label1 use: classOrDesc1 forTag: label2 use: classOrDesc2
    | desc1 desc2 |

    desc1 := classOrDesc1.
    desc2 := classOrDesc2.
    ^ self new klassMap:
        (Dictionary new
            at: label1 put: desc1;
            at: label2 put: desc2;
            yourself)

    "Created: / 03-07-2018 / 16:30:46 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

forTag: label1 useClass: class1 forTag: label2 useClass: class2
    ^ self new klassMap:
        (Dictionary new
            at: label1 put: class1;
            at: label2 put: class2;
            yourself)

    "Created: / 03-07-2018 / 16:19:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBMADescriptionSwitch class methodsFor:'testing'!

isAbstract
    ^ false

    "Created: / 03-07-2018 / 16:37:17 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBMADescriptionSwitch methodsFor:'accessing'!

klassMap
    ^ klassMap
!

klassMap:aDictionary
    klassMap := aDictionary.
! !

!GDBMADescriptionSwitch methodsFor:'parsing-GDB/MI'!

parseUsingGDBMIParser: aGDBMIParser
    ^ self shouldNotImplement

    "Created: / 03-07-2018 / 16:25:13 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

parseUsingGDBMIParser: aGDBMIParser taggedAs: aString
    ^ (klassMap at: aString) parseUsingGDBMIParser: aGDBMIParser taggedAs: aString

    "Created: / 03-07-2018 / 16:25:47 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

