"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBMICommand subclass:#GDBMI_target_download
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Commands-MI'
!

!GDBMI_target_download class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
!

documentation
"
The `-target-download' Command
------------------------------

Synopsis
........

      -target-download

   Loads the executable onto the remote target.  It prints out an
update message every half second, which includes the fields:

`section'
     The name of the section.

`section-sent'
     The size of what has been sent so far for that section.

`section-size'
     The size of the section.

`total-sent'
     The total size of what was sent so far (the current and the
     previous sections).

`total-size'
     The size of the overall executable to download.

Each message is sent as status record (*note GDB/MI Output Syntax:
GDB/MI Output Syntax.).

   In addition, it prints the name and size of the sections, as they are
downloaded.  These messages include the following fields:

`section'
     The name of the section.

`section-size'
     The size of the section.

`total-size'
     The size of the overall executable to download.

At the end, a summary is printed.

{No value for `GDBN'} Command
.............................

The corresponding {No value for `GDBN'} command is `load'.

Example
.......

Note: each status message appears on a single line.  Here the messages
have been broken down so that they can fit onto a page.

     (gdb)
     -target-download
     +download,{section='.text',section-size='6668',total-size='9880'}
     +download,{section='.text',section-sent='512',section-size='6668',
     total-sent='512',total-size='9880'}
     +download,{section='.text',section-sent='1024',section-size='6668',
     total-sent='1024',total-size='9880'}
     +download,{section='.text',section-sent='1536',section-size='6668',
     total-sent='1536',total-size='9880'}
     +download,{section='.text',section-sent='2048',section-size='6668',
     total-sent='2048',total-size='9880'}
     +download,{section='.text',section-sent='2560',section-size='6668',
     total-sent='2560',total-size='9880'}
     +download,{section='.text',section-sent='3072',section-size='6668',
     total-sent='3072',total-size='9880'}
     +download,{section='.text',section-sent='3584',section-size='6668',
     total-sent='3584',total-size='9880'}
     +download,{section='.text',section-sent='4096',section-size='6668',
     total-sent='4096',total-size='9880'}
     +download,{section='.text',section-sent='4608',section-size='6668',
     total-sent='4608',total-size='9880'}
     +download,{section='.text',section-sent='5120',section-size='6668',
     total-sent='5120',total-size='9880'}
     +download,{section='.text',section-sent='5632',section-size='6668',
     total-sent='5632',total-size='9880'}
     +download,{section='.text',section-sent='6144',section-size='6668',
     total-sent='6144',total-size='9880'}
     +download,{section='.text',section-sent='6656',section-size='6668',
     total-sent='6656',total-size='9880'}
     +download,{section='.init',section-size='28',total-size='9880'}
     +download,{section='.fini',section-size='28',total-size='9880'}
     +download,{section='.data',section-size='3156',total-size='9880'}
     +download,{section='.data',section-sent='512',section-size='3156',
     total-sent='7236',total-size='9880'}
     +download,{section='.data',section-sent='1024',section-size='3156',
     total-sent='7748',total-size='9880'}
     +download,{section='.data',section-sent='1536',section-size='3156',
     total-sent='8260',total-size='9880'}
     +download,{section='.data',section-sent='2048',section-size='3156',
     total-sent='8772',total-size='9880'}
     +download,{section='.data',section-sent='2560',section-size='3156',
     total-sent='9284',total-size='9880'}
     +download,{section='.data',section-sent='3072',section-size='3156',
     total-sent='9796',total-size='9880'}
     ^done,address='0x10004',load-size='9880',transfer-rate='6586',
     write-rate='429'
     (gdb)

{No value for `GDBN'} Command
.............................

No equivalent.

Example
.......

N.A.


"
! !

!GDBMI_target_download methodsFor:'accessing'!

operation
	^ 'target-download'
! !

