"
COPYRIGHT (c) 2021-2023 LabWare
jv:libgdbs - GNU Debugger Interface Library

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBNotificationEvent subclass:#GDBMemoryChangedEvent
	instanceVariableNames:'threadGroup group_id addr len'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Events'
!

!GDBMemoryChangedEvent class methodsFor:'documentation'!

copyright
"
COPYRIGHT (c) 2021-2023 LabWare
jv:libgdbs - GNU Debugger Interface Library

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
! !

!GDBMemoryChangedEvent class methodsFor:'accessing - GDB value descriptors'!

description
    ^ (super description)
        define:#addr as:Integer;
        define:#len as:Integer;
        define:#'group-id' as:String;
        yourself

    "Created: / 18-11-2021 / 23:04:07 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBMemoryChangedEvent methodsFor:'accessing'!

addr
    ^ addr
!

len
    ^ len
!

threadGroup
    ^ threadGroup
!

threadGroupId
    ^ group_id

    "Created: / 18-11-2021 / 23:09:56 / Jan Vrany <jan.vrany@labware.com>"
!

type
	^  'memory-changed'
! !

!GDBMemoryChangedEvent methodsFor:'initialization'!

setAddr: anInteger
    addr := anInteger

    "Created: / 18-11-2021 / 23:22:24 / Jan Vrany <jan.vrany@labware.com>"
!

setLen: anInteger
    len := anInteger

    "Created: / 18-11-2021 / 23:22:30 / Jan Vrany <jan.vrany@labware.com>"
!

setThreadGroup: aGDBThreadGroup
    self assert: (group_id isNil or:[ group_id = aGDBThreadGroup id ]).
    threadGroup := aGDBThreadGroup.
    group_id := aGDBThreadGroup id.

    "Created: / 18-11-2021 / 23:08:32 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBMemoryChangedEvent class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

