"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2021-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBNotificationEvent subclass:#GDBThreadSelectedEvent
	instanceVariableNames:'thread frame id'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Events'
!

!GDBThreadSelectedEvent class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2021-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
! !

!GDBThreadSelectedEvent class methodsFor:'accessing - GDB value descriptors'!

description
    ^ (super description)
        define:#id as:Integer;
        define:#'frame' as:GDBFrame;
        yourself

    "Created: / 06-09-2014 / 02:08:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 29-07-2018 / 22:06:58 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBThreadSelectedEvent methodsFor:'accessing'!

frame
    ^ frame

    "Created: / 29-07-2018 / 22:12:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

thread
    ^ thread

    "Created: / 29-07-2018 / 22:11:34 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

threadGroup
    ^ thread group

    "Created: / 30-07-2018 / 07:34:09 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

threadId
    ^ id

    "Created: / 29-07-2018 / 22:11:49 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

type
	^  'thread-selected'
! !

!GDBThreadSelectedEvent methodsFor:'initialization'!

setFrame: aGDBFrame
    frame := aGDBFrame

    "Created: / 29-07-2018 / 22:12:45 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 30-07-2018 / 07:08:57 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

setThread: aGDBThread
    self assert: (id isNil or: [ id == aGDBThread id ]).

    thread := aGDBThread.
    id := aGDBThread id.

    "Created: / 29-07-2018 / 22:12:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
    "Modified: / 09-03-2021 / 14:17:34 / Jan Vrany <jan.vrany@labware.com>"
! !

!GDBThreadSelectedEvent class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

