"{ Encoding: utf8 }"

"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
"{ Package: 'jv:libgdbs' }"

"{ NameSpace: Smalltalk }"

GDBDebuggerObject subclass:#GDBVariableObjectChange
	instanceVariableNames:'name value in_scope type_changed new_type new_num_children
		displayhint has_more dynamic new_children'
	classVariableNames:''
	poolDictionaries:''
	category:'GDB-Internal'
!

!GDBVariableObjectChange class methodsFor:'documentation'!

copyright
"
jv:libgdbs - GNU Debugger Interface Library
Copyright (C) 2015-now Jan Vrany
Copyright (C) 2022-2023 LabWare

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the 'Software'), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
"
! !

!GDBVariableObjectChange class methodsFor:'*magritte-model-accessing'!

description
    ^ super description
        define: #in_scope as: Boolean;
        yourself

    "Created: / 12-02-2018 / 22:11:04 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBVariableObjectChange methodsFor:'accessing'!

id
    ^ name

    "Created: / 29-01-2018 / 22:01:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

value
    ^ value
! !

!GDBVariableObjectChange methodsFor:'testing'!

inScope
    "Return true, if variable object’s current value is valid. false otherwise.
     If `false` is returned, variable object does not currently hold a valid value 
     but it may hold one in the future if its associated expression comes back 
     into scope."

    ^ in_scope

    "Created: / 12-02-2018 / 22:13:29 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

isInvalid
    "Return true, of the variable object no longer holds a valid value. 
     This can occur when the executable file being debugged has changed, 
     either through recompilation or by using the GDB file command. The 
     front end should normally choose to delete these variable objects."

    ^ in_scope = 'invalid'

    "Created: / 29-01-2018 / 22:06:41 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!GDBVariableObjectChange class methodsFor:'documentation'!

version_HG

    ^ '$Changeset: <not expanded> $'
! !

